Project

General

Profile

task #9579

restore css3pie if needed

Added by Andreas Kohlbecker 4 days ago. Updated 4 days ago.

Status:
New
Priority:
Highest
Category:
cdm-dataportal
Target version:
Start date:
04/06/2021
Due date:
% Done:

0%

Severity:
critical

Description

during the implemetation of the derivation tree view for #7599 and #6866 it was necessary to upgrade compass intermediately. After downgrading to 0.12.7 the compilation of the sass files currently fails with

ArgumentError on line ["58"] of /var/lib/gems/2.7.0/gems/fssm-0.2.10/lib/fssm/support.rb: comparison of String with 0 failed
Run with --trace to see the full backtrace

, so I need to continue using a newer compass version.

This version is no longer compatible with the css3pie that was supported by compass 0.12.7

TODO:

  1. decide if css3pie still is needed, that is if we still need to support older IE browsers (like IE 6 to IE 8 ??)
  2. upgrade css3pie in the zen theme or upgrade the whole base theme to a newer version.

Related issues

Related to Edit - feature request #6866: Improve specimen page New 08/01/2017
Related to Edit - feature request #7599: treeView for specimen data in dataportal In Progress 07/30/2018

Associated revisions

Revision 4ff1cfa5 (diff)
Added by Andreas Kohlbecker 4 days ago

ref #9579 ref #7599 deactivating css3pie to allow using a more recent compass version

History

#1 Updated by Andreas Kohlbecker 4 days ago

#2 Updated by Andreas Kohlbecker 4 days ago

  • Description updated (diff)

#3 Updated by Andreas Kohlbecker 4 days ago

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 40 MB)